    Program e01rbfe

!     E01RBF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: e01rbf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: m = 4, nin = 5, nout = 6
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: f, x
      Integer                          :: i, ifail
!     .. Local Arrays ..
      Real (Kind=nag_wp)               :: a(m), u(m)
!     .. Executable Statements ..
      Write (nout,*) 'E01RBF Example Program Results'

!     Skip heading in data file
      Read (nin,*)

      Read (nin,*)(a(i),i=1,m)
      Read (nin,*)(u(i),i=1,m-1)
      Read (nin,*) x

      ifail = 0
      Call e01rbf(m,a,u,x,f,ifail)

      Write (nout,*)
      Write (nout,99999) 'X =', x
      Write (nout,*)
      Write (nout,99999) 'The value of R(X) is ', f

99999 Format (1X,A,1P,E12.4)
    End Program e01rbfe
